sayren Docs
저장 옵션

저장 옵션 목록

이름 검색·구성 필터·정렬. 상점당 최대 200개다

GET
/v1/saved-option-sets

이름 검색·구성 필터·정렬. 상점당 최대 200개다

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Query Parameters

page?string

페이지 번호 (1부터, 기본 1)

size?string

페이지 크기 (기본 20, 최대 200)

keyword?string

이름 검색 (포함, 대소문자 무시)

composition?string

구성 필터

Value in"combination""addon""customInput"
sort?string

정렬 (기본 updatedAt.desc)

Value in"updatedAt.desc""name.asc""importedProductCount.desc"

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X GET 'https://api.sayren.io/v1/saved-option-sets' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "page": 0,    "size": 0,    "totalElements": 0,    "totalPages": 0,    "contents": [      {        "optionSetId": "string",        "name": "string",        "optionSort": "REGISTERED",        "groups": [          {            "name": "string",            "kind": "string",            "required": true,            "values": [              {                "name": "string",                "additionalPrice": 0              }            ]          }        ],        "customInputs": [          {            "label": "string",            "placeholder": "string",            "maxLength": 0,            "required": true,            "key": "string",            "type": "string",            "options": [              "string"            ]          }        ],        "importedProductCount": 0,        "createdAt": "string",        "updatedAt": "string"      }    ]  },  "error": null}